#container-viewer {
    height: 100%;
    background: var(--bs-body-bg);
    outline: transparent;
}

#viewer {
    background: var(--bs-body-bg);
}

.ol-icon-group.icon-rectangle,
.ol-icon-group.icon-circle-outline {
    top: 0.5px;
}

.btn-circle-ol {
    top: 18px;
    position: absolute;
    left: -9px;
    text-align: center !important;
    width: auto !important;
    height: auto;
    padding: 0 !important;
}

#inforapPopover {
    min-width: 300px;
}

.container-ol-multiple-buttons {
    height: 0px !important;
}

.ol-control:not(.ol-rotate):not(.ol-attribution) {
    right: 0.5em !important;
    left: inherit !important;
}

.ol-rotate {
    right: 4em !important;
    left: inherit;
    top: 1em !important;
    width: 34px;
    height: 33.8px;
}

.ol-attribution.ol-control {
    font-size: 0.6em;
    right: 0.9em !important;
}

.ol-scale-line {
    bottom: 0.9em;
}

#switch-layer {
    position: absolute;
    bottom: 3em;
    width: 7em;
    height: 4.8em;
    left: 22px;
    background-size: cover;
    background-position: center;
    opacity: 0.7;
    box-shadow: 1px 2px 15px 0px rgba(0, 0, 0, 0.6);
    border: 2px solid rgba(255, 255, 255, 0.5);
    cursor: pointer;
    opacity: 1;
    padding: 0;
    z-index: 1;
}

@media (max-width: 400px) {
    #switch-layer {
        bottom: 5em !important;
        left: 8px;
    }
}

#switch-layer-background {
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.6;
    display: none;
}

#baseLayerSwitcher .spinner,
#switch-layer .spinner {
    height: 100%;
    width: 100%;
    top: 0 !important;
    right: 0 !important;
}

#baseLayerSwitcher .spinner-icon,
#switch-layer .spinner-icon {
    top: 0 !important;
    bottom: 0 !important;
    right: 0 !important;
    left: 0 !important;
    margin: auto !important;
    position: absolute !important;
    width: 35px !important;
    height: 35px !important;
}

#inforapPopover .popover-body {
    max-height: 300px;
    overflow: auto;
    overflow-x: hidden;
}

.bootstrap-select .filter-option-inner-inner .labelProj,
.bootstrap-select li .icon-projselect {
    display: none;
}

.labelProj {
    white-space: nowrap !important;
}

#viewer-overlay {
    background: #000;
    z-index: -9;
    opacity: 0;
    transition: all 0.2s ease;
}

#container-viewer-overlay-text {
    z-index: -9;
    opacity: 0;
    transition: opacity 0.2s ease;
    cursor: default;
}

#viewer-overlay-text {
    display: block;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/*Gestion du curseur sur la map*/

div#viewer.cursor_move {
    cursor: move;
}

div#viewer.cursor_help {
    cursor: help;
}

div#viewer.cursor_pointer {
    cursor: pointer;
}

div#viewer.cursor_crosshair {
    cursor: crosshair;
}

div#viewer.cursor_zoom_out {
    cursor: pointer;
}

div#viewer.cursor_zoom_not_allowed {
    cursor: not-allowed;
}

div#viewer.cursor_zoom_out {
    cursor: -moz-zoom-out;
}

/*OverviewMap*/
/*Placement de l'overview sur l'interface*/
.map .ol-custom-overviewmap,
.map .ol-custom-overviewmap.ol-uncollapsible {
    top: auto;
    left: auto;
    margin-bottom: 6em !important;
    margin-right: 0.2em;
    bottom: 0;
    right: 0;
    position: absolute;
}

/*Bouton ouvert*/
.ol-custom-overviewmap:not(.ol-collapsed) button {
    bottom: 0;
    left: auto;
    right: 0;
    width: 20.5% !important;
}

/*Bouton fermé*/
.ol-overviewmap button {
    width: 2em;
    height: 2em;
}

/*box sur l'overviewmap*/
.ol-custom-overviewmap .ol-overviewmap-box {
    border: 2px solid red;
}

.ol-control button .icon {
    vertical-align: 0 !important;
}

/*libelle de la carte*/
.actual-map-migp {
    background-color: rgb(108, 117, 125, 0.5);
    padding: 0.2em 0.3em 0.2em 0.3em;
    border-radius: 0.25rem;
    z-index: 1;
    position: absolute;
    top: 10px;
    left: 10px;
    display: none;
}

/*texte associé*/
.label {
    padding: 0.2em 0.3em 0.3em;
    font-size: 80%;
    line-height: 1;
    color: #fff;
    border-radius: 0.25em;
}

/*conteneur*/
.dropdown-menu-flottant {
    border: 1px solid rgba(0, 0, 0, 0.1);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    padding: 0.5rem 0;
    margin: 0.125rem 0 0;
    top: 2.6em !important;
    text-align: center;
    background-color: rgb(108, 117, 125, 0.5);
    padding: 0.2em 0.3em 0.2em 0.3em;
    border-radius: 0.25rem;
    display: none;
    position: absolute;
}

/*Dropdown s'affiche par dessus*/
#dropdownContainer {
    position: absolute;
    width: 11.5em;
    height: 2em;
    display: none;
}

.texte-act-comparaison {
    font-size: 80%;
    color: rgba(250, 250, 250);
}

.baselayer-off {
    opacity: 0.7;
}

.thumbnail {
    max-width: 140px;
    max-height: 140px;
}

.thumbnail-loading {
    background-color: #e6e6e6;
    border-radius: 65px;
    margin: 5px 35px;
    max-height: 60px;
}

#geovisio {
    height: 100%;
}

#geovisio-container {
    height: calc(100% - 40px);
}
